> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/development/api-reference/classes/light.md).

# Light

Light : `Instance`

## Overview

This is the base class for lighting effect instances such as SpotLight and PointLight

## Properties

### Brightness

`number`

This property sets the light’s intensity.

#### Code Samples

```lua
PointLight.Brightness = 5000
```

### Color

`Color3`

This property sets the light’s color.

#### Code Samples

```lua
PointLight.Color = Color3.fromRGB(255, 0, 0)
```

### Enabled

`boolean`

This property turns on/off the light.

#### Code Samples

```lua
PointLight.Enabled = false
```

## Methods

## Events

## See also

{% content-ref url="/pages/3KvY0jqe4oODQNMi9cxP" %}
[Lighting](/manual/studio-manual/object/lighting.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/light.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
